Bug 854129 - Firefox crashes when viewing image galleries on idnes.cz
Firefox crashes when viewing image galleries on idnes.cz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 02:51 EDT by Jan Pazdziora
Modified: 2013-08-01 14:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:13:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My /var/log/Xorg.0.log (40.18 KB, text/plain)
2012-11-16 11:06 EST, Jan Pazdziora
no flags Details
The dmesg output. (67.79 KB, text/plain)
2012-11-20 03:43 EST, Jan Pazdziora
no flags Details

  None (edit)
Description Jan Pazdziora 2012-09-04 02:51:37 EDT
Description of problem:

When viewing the image galleries on idens.cz, the otherwise very stable Firefox crashes, in deterministic fashion.

Version-Release number of selected component (if applicable):

$ rpm -q firefox
firefox-14.0.1-1.fc17.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Run firefox 'http://cestovani.idnes.cz/foto.aspx?r=kolem-sveta&c=A120903_095233_kolem-sveta_tom'
2. Keep clicking next image.
  
Actual results:

It crashes on sixth image, and on the terminal I see

$ firefox 'http://cestovani.idnes.cz/carcassonne-ch6-/kolem-sveta.aspx?c=A120903_095233_kolem-sveta_tom'
###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); 5 requests ago: file /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 190
###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); 5 requests ago: file /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 190

Expected results:

No crash.

Additional info:
Comment 1 Jan Pazdziora 2012-09-04 02:54:10 EDT
(In reply to comment #0)
> 
> Steps to Reproduce:
> 1. Run firefox
> 'http://cestovani.idnes.cz/foto.aspx?r=kolem-sveta&c=A120903_095233_kolem-
> sveta_tom'

Oops sorry, the command/URL to open the gallery directly is

$ firefox 'http://cestovani.idnes.cz/foto.aspx?r=kolem-sveta&c=A120903_095233_kolem-sveta_tom'
Comment 2 Jan Pazdziora 2012-09-04 02:56:29 EDT
The crash dialog shows these details:

Add-ons: {cb60560d-4cdd-47ED-b4ba-54e403a0a82c}:1.3,xclear@as-computer.de:1.8,pwgen@alouche.net:0.5,{daf44bf7-a45e-4450-979c-91cf07434c3d}:1.5.8,{9c51bd27-6ed8-4000-a2bf-36cb95c0c947}:11.0.1,QuickPasswords@axelg.com:2.1,savedpasswordeditor@daniel.dawson:2.6.3,{e3f6c2cc-d8db-498c-af6c-499fb211db97}:1.12.9.1,inspector@mozilla.org:2.0.13,{972ce4c6-7e08-4474-a285-3208198ce6fd}:14.0.1,{421e87b4-d3d2-49c8-b08f-b83f4dc88444}:1.0.2.4,verticaltabs@philikon.de:0.9.3,firebug@software.joehewitt.com:1.10.3
BuildID: 20120717144008
CrashTime: 1346741570
EMCheckCompatibility: true
FramePoisonBase: 7ffffffff0dea000
FramePoisonSize: 4096
InstallTime: 1343632148
Notes: OpenGL: VMware, Inc. -- Gallium 0.4 on llvmpipe (LLVM 0x300) -- 2.1 Mesa 8.0.3 -- texture_from_pixmap
X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); 5 requests agoxpcom_runtime_abort(###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); 5 requests ago: file /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 190)
ProductID: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
ProductName: Firefox
ReleaseChannel: default
SecondsSinceLastCrash: 422
StartupTime: 1346741472
Theme: classic/1.0
Throttleable: 1
Vendor: Mozilla
Version: 14.0.1

This report also contains technical information about the state of the application when it crashed.

I did not however submit the report because I'm uncomfortable sending to mozilla.org the vaguely described "state of the application" without knowing what data is being sent exactly.
Comment 3 Jan Pazdziora 2012-09-04 03:22:23 EDT
Here's the backtrace:

$ firefox --sync -g -d gdb 'http://cestovani.idnes.cz/foto.aspx?r=kolem-sveta&c=A120903_095233_kolem-sveta_tom'
MOZILLA_FIVE_HOME=/usr/lib64/firefox
  LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
     LIBRARY_PATH=
       SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
          LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
       ADDON_PATH=
      MOZ_PROGRAM=/usr/lib64/firefox/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=gdb
moz_debugger_args=
/bin/gdb  --args /usr/lib64/firefox/firefox --sync http://cestovani.idnes.cz/foto.aspx?r=kolem-sveta&c=A120903_095233_kolem-sveta_tom
GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib64/firefox/firefox...(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install firefox-14.0.1-1.fc17.x86_64
(gdb) r
Starting program: /usr/lib64/firefox/firefox --sync http://cestovani.idnes.cz/foto.aspx\?r=kolem-sveta\&c=A120903_095233_kolem-sveta_tom
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Detaching after fork from child process 31178.
[New Thread 0x7ffff12a9700 (LWP 31183)]
[New Thread 0x7ffff022b700 (LWP 31184)]
[New Thread 0x7fffef6ff700 (LWP 31185)]
[New Thread 0x7fffee603700 (LWP 31186)]
[New Thread 0x7fffedbd8700 (LWP 31187)]
[New Thread 0x7fffecfd7700 (LWP 31188)]
[New Thread 0x7fffebdff700 (LWP 31189)]
[New Thread 0x7fffe5cff700 (LWP 31190)]
[New Thread 0x7fffe4fff700 (LWP 31191)]
[New Thread 0x7fffe45ff700 (LWP 31192)]
[New Thread 0x7fffe38ff700 (LWP 31193)]
[Thread 0x7fffe5cff700 (LWP 31190) exited]
[New Thread 0x7fffe5cff700 (LWP 31194)]
[New Thread 0x7fffe21f7700 (LWP 31195)]
[New Thread 0x7fffe11f5700 (LWP 31197)]
[New Thread 0x7fffe19f6700 (LWP 31196)]
[New Thread 0x7fffe07ff700 (LWP 31198)]
[New Thread 0x7fffdfffe700 (LWP 31199)]
[New Thread 0x7fffdef70700 (LWP 31200)]
[New Thread 0x7fffde76f700 (LWP 31201)]
[New Thread 0x7fffdd2ff700 (LWP 31202)]
[New Thread 0x7fffdc6ff700 (LWP 31203)]
[New Thread 0x7fffdbbff700 (LWP 31204)]
[New Thread 0x7fffdb1ff700 (LWP 31205)]
[New Thread 0x7fffd8aa2700 (LWP 31206)]
[New Thread 0x7fffd82a1700 (LWP 31207)]
[New Thread 0x7fffd37ff700 (LWP 31208)]
Detaching after fork from child process 31209.
###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); sync: file /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 190
###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); sync: file /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 190

Program received signal SIGSEGV, Segmentation fault.
0x000000349620112d in ?? () from /usr/lib64/xulrunner-2/libmozalloc.so
(gdb) bt
#0  0x000000349620112d in ?? () from /usr/lib64/xulrunner-2/libmozalloc.so
#1  0x000000349620115d in mozalloc_abort(char const*) ()
   from /usr/lib64/xulrunner-2/libmozalloc.so
#2  0x00000035803b5c64 in NS_DebugBreak_P ()
   from /usr/lib64/xulrunner-2/libxul.so
#3  0x000000357fa0e3b4 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#4  0x0000003dc2645526 in _XError (dpy=dpy@entry=0x7ffff7d9c000, 
    rep=rep@entry=0x7fffd6bfc040) at XlibInt.c:1583
#5  0x0000003dc2642771 in handle_error (dpy=dpy@entry=0x7ffff7d9c000, 
    err=err@entry=0x7fffd6bfc040, in_XReply=<optimized out>) at xcb_io.c:212
#6  0x0000003dc26427b5 in handle_response (dpy=0x7ffff7d9c000, 
    response=0x7fffd6bfc040, in_XReply=<optimized out>) at xcb_io.c:324
#7  0x0000003dc26433a8 in _XReply (dpy=dpy@entry=0x7ffff7d9c000, 
    rep=rep@entry=0x7fffffff6b50, extra=extra@entry=0, discard=discard@entry=1)
    at xcb_io.c:626
#8  0x0000003dc263ed5d in XSync (dpy=0x7ffff7d9c000, discard=discard@entry=0)
    at Sync.c:44
#9  0x0000003dc263edeb in _XSyncFunction (dpy=<optimized out>) at Synchro.c:35
#10 0x0000003dc262061a in XCopyArea (dpy=0x7ffff7d9c000, 
    src_drawable=48234503, dst_drawable=50331920, gc=0x7fffdd7a4100, src_x=0, 
    src_y=0, width=1, height=600, dst_x=749, dst_y=222) at CopyArea.c:61
#11 0x000000358047dd08 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#12 0x000000358045b6fb in ?? () from /usr/lib64/xulrunner-2/libxul.so
#13 0x000000358045e04c in ?? () from /usr/lib64/xulrunner-2/libxul.so
#14 0x000000358045ea24 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#15 0x000000358045bdfd in ?? () from /usr/lib64/xulrunner-2/libxul.so
#16 0x0000003580441f39 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#17 0x00000035804380dc in ?? () from /usr/lib64/xulrunner-2/libxul.so
#18 0x00000035803e3ae5 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#19 0x00000035804098a3 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#20 0x000000358040b3c3 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#21 0x000000358040b4e9 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#22 0x000000358040e053 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#23 0x000000358040d337 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#24 0x000000358040d3e7 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#25 0x000000358040d3e7 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#26 0x000000358040de60 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#27 0x000000358040e98f in ?? () from /usr/lib64/xulrunner-2/libxul.so
#28 0x000000357fb7a6bc in ?? () from /usr/lib64/xulrunner-2/libxul.so
#29 0x000000357fe41aae in ?? () from /usr/lib64/xulrunner-2/libxul.so
#30 0x000000357fe42e14 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#31 0x000000357fe4038d in ?? () from /usr/lib64/xulrunner-2/libxul.so
#32 0x00000035802750ce in ?? () from /usr/lib64/xulrunner-2/libxul.so
#33 0x000000358027cfb6 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#34 0x000000358027d2c4 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#35 0x0000003dc534db4c in _gtk_marshal_BOOLEAN__BOXED (closure=0x7fffe535d260, 
    return_value=0x7fffffff8f30, n_param_values=<optimized out>, 
    param_values=0x7fffffff8fe0, invocation_hint=<optimized out>, 
    marshal_data=<optimized out>) at gtkmarshalers.c:86
#36 0x000000348ba0f664 in g_closure_invoke (closure=0x7fffe535d260, 
    return_value=return_value@entry=0x7fffffff8f30, n_param_values=2, 
    param_values=param_values@entry=0x7fffffff8fe0, 
    invocation_hint=invocation_hint@entry=0x7fffffff8f80) at gclosure.c:777
#37 0x000000348ba206d8 in signal_emit_unlocked_R (
    node=node@entry=0x7ffff05684c0, detail=detail@entry=0, 
    instance=instance@entry=0x7fffe532b900, 
    emission_return=emission_return@entry=0x7fffffff90b0, 
    instance_and_params=instance_and_params@entry=0x7fffffff8fe0)
    at gsignal.c:3551
#38 0x000000348ba282a7 in g_signal_emit_valist (instance=0x7fffe532b900, 
    signal_id=<optimized out>, detail=0, 
    var_args=var_args@entry=0x7fffffff9238) at gsignal.c:3310
#39 0x000000348ba287c2 in g_signal_emit (
    instance=instance@entry=0x7fffe532b900, signal_id=<optimized out>, 
    detail=detail@entry=0) at gsignal.c:3356
#40 0x0000003dc54815ae in gtk_widget_event_internal (
    widget=widget@entry=0x7fffe532b900, event=event@entry=0x7fffffff93d0)
    at gtkwidget.c:4999
#41 0x0000003dc5481871 in IA__gtk_widget_send_expose (
    widget=widget@entry=0x7fffe532b900, event=event@entry=0x7fffffff93d0)
    at gtkwidget.c:4828
#42 0x0000003dc534bf57 in IA__gtk_main_do_event (event=0x7fffffff93d0)
    at gtkmain.c:1621
---Type <return> to continue, or q <return> to quit---
#43 0x0000003dc1a4555c in _gdk_window_process_updates_recurse (
    window=window@entry=0x7fffe5d508e0, 
    expose_region=expose_region@entry=0x7fffdd963af0) at gdkwindow.c:5429
#44 0x0000003dc1a7d4e5 in _gdk_windowing_window_process_updates_recurse (
    window=window@entry=0x7fffe5d508e0, region=region@entry=0x7fffdd963af0)
    at gdkwindow-x11.c:5643
#45 0x0000003dc1a400d7 in gdk_window_process_updates_internal (
    window=0x7fffe5d508e0) at gdkwindow.c:5588
#46 0x0000003dc1a42458 in IA__gdk_window_process_all_updates ()
    at gdkwindow.c:5696
#47 0x0000003dc1a424b9 in gdk_window_update_idle (data=<optimized out>)
    at gdkwindow.c:5322
#48 0x0000003dc1a1eb97 in gdk_threads_dispatch (data=0x7fffdf286ac0)
    at gdk.c:512
#49 0x000000348a647695 in g_main_dispatch (context=0x7ffff7d1bbe0)
    at gmain.c:2539
#50 g_main_context_dispatch (context=context@entry=0x7ffff7d1bbe0)
    at gmain.c:3075
#51 0x000000348a6479c8 in g_main_context_iterate (
    context=context@entry=0x7ffff7d1bbe0, block=block@entry=0, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#52 0x000000348a647a84 in g_main_context_iteration (context=0x7ffff7d1bbe0, 
    may_block=0) at gmain.c:3207
#53 0x000000358027d7b0 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#54 0x00000035802921f2 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#55 0x0000003580292370 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#56 0x00000035803b0603 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#57 0x0000003580386b30 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#58 0x0000003580314d3e in ?? () from /usr/lib64/xulrunner-2/libxul.so
#59 0x00000035803ce7cf in ?? () from /usr/lib64/xulrunner-2/libxul.so
#60 0x0000003580291ef7 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#61 0x0000003580173017 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#62 0x000000357fa075e6 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#63 0x000000357fa09625 in ?? () from /usr/lib64/xulrunner-2/libxul.so
#64 0x000000357fa09889 in XRE_main () from /usr/lib64/xulrunner-2/libxul.so
#65 0x000000000040297e in ?? ()
#66 0x0000003486e21735 in __libc_start_main (main=0x402390, argc=3, 
    ubp_av=0x7fffffffdd28, init=<optimized out>, fini=<optimized out>, 
    rtld_fini=<optimized out>, stack_end=0x7fffffffdd18) at libc-start.c:226
#67 0x0000000000402a61 in _start ()
(gdb) q
A debugging session is active.

	Inferior 1 [process 31175] will be killed.

Quit anyway? (y or n) y
$
Comment 4 Jan Pazdziora 2012-09-04 03:34:50 EDT
Upgrading to

$ rpm -q firefox
firefox-15.0-1.fc17.x86_64
$

makes the problem go away.
Comment 5 Jan Pazdziora 2012-10-23 11:02:58 EDT
No bueno, reopening.

With firefox-16.0.1-1.fc17.x86_64 (and before 15.0-1 but I wanted to be sure I have the latest greatest) I'm still able to trigger the issue even if it is much less deterministic than it was before. But clicking around the gallery kills Firefox eventually.

Here's the bt:

###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); sync: file /builddir/build/BUILD/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 157
###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); sync: file /builddir/build/BUILD/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 157

Program received signal SIGSEGV, Segmentation fault.
mozalloc_abort (msg=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/memory/mozalloc/mozalloc_abort.cpp:23
23	    MOZ_CRASH();
Missing separate debuginfos, use: debuginfo-install gtk2-2.24.11-1.fc17.x86_64
(gdb) bt
#0  mozalloc_abort (msg=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/memory/mozalloc/mozalloc_abort.cpp:23
#1  0x00007ffff647a506 in Abort (
    aMsg=0x7ffffffec66c "###!!! ABORT: X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); sync: file /builddir/build/BUILD/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp, line 157")
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xpcom/base/nsDebugImpl.cpp:423
#2  NS_DebugBreak_P (aSeverity=<optimized out>, 
    aStr=0x7fffd8b7af28 "X_CopyArea: BadDrawable (invalid Pixmap or Window parameter); sync", aExpr=0x0, 
    aFile=0x7ffff66b9579 "/builddir/build/BUILD/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp", aLine=157)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xpcom/base/nsDebugImpl.cpp:410
#3  0x00007ffff5a61447 in X11Error (display=0x7ffff7da8000, 
    event=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsX11ErrorHandler.cpp:157
#4  0x00000035cd245526 in _XError (dpy=dpy@entry=0x7ffff7da8000, 
    rep=rep@entry=0x7fffd5b63820) at XlibInt.c:1583
#5  0x00000035cd242771 in handle_error (dpy=dpy@entry=0x7ffff7da8000, 
    err=err@entry=0x7fffd5b63820, in_XReply=in_XReply@entry=1) at xcb_io.c:212
#6  0x00000035cd2427b5 in handle_response (dpy=dpy@entry=0x7ffff7da8000, 
    response=0x7fffd5b63820, in_XReply=in_XReply@entry=1) at xcb_io.c:324
#7  0x00000035cd2433a8 in _XReply (dpy=dpy@entry=0x7ffff7da8000, 
    rep=rep@entry=0x7ffffffed580, extra=extra@entry=0, discard=discard@entry=1)
    at xcb_io.c:626
#8  0x00000035cd23ed5d in XSync (dpy=0x7ffff7da8000, discard=discard@entry=0)
    at Sync.c:44
#9  0x00000035cd23edeb in _XSyncFunction (dpy=<optimized out>) at Synchro.c:35
#10 0x00000035cd22061a in XCopyArea (dpy=0x7ffff7da8000, 
    src_drawable=48234840, dst_drawable=54533504, gc=0x7fffd721efc0, src_x=30, 
    src_y=268, width=width@entry=270, height=height@entry=245, 
    dst_x=dst_x@entry=0, dst_y=dst_y@entry=0) at CopyArea.c:61
#11 0x00007ffff6563aec in _cairo_xlib_surface_composite (
    op=CAIRO_OPERATOR_OVER, src_pattern=0x7ffffffee228, mask_pattern=0x0, 
    abstract_dst=0x7fffd5f7b800, src_x=0, src_y=0, mask_x=0, mask_y=0, 
    dst_x=0, dst_y=0, width=270, height=245, clip_region=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-xlib-surface.c:2556
#12 0x00007ffff65414e9 in _cairo_surface_composite (op=CAIRO_OPERATOR_OVER, 
    src=0x7ffffffee228, mask=0x0, dst=0x7fffd5f7b800, src_x=0, src_y=0, 
    mask_x=0, mask_y=0, dst_x=0, dst_y=0, width=270, height=245, 
    clip_region=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-surface.c:1889
#13 0x00007ffff6543e3a in _composite_rectangle (clip=0x0, 
    traps=0x7ffffffedec8, src=0x7ffffffee228, op=CAIRO_OPERATOR_OVER, 
    dst=0x7fffd5f7b800)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-surface-fallback.c:762
#14 _clip_and_composite_trapezoids (src=src@entry=0x7ffffffee228, 
    op=op@entry=CAIRO_OPERATOR_OVER, dst=dst@entry=0x7fffd5f7b800, 
    traps=traps@entry=0x7ffffffedec8, 
    antialias=antialias@entry=CAIRO_ANTIALIAS_DEFAULT, clip=0x0, 
    extents=0x7ffffffeda54)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-surface-fallback.c:812
#15 0x00007ffff6544376 in _cairo_surface_fallback_paint (
    surface=0x7fffd5f7b800, op=CAIRO_OPERATOR_OVER, source=0x7ffffffee228, 
    clip=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-surface-fallback.c:934
#16 0x00007ffff6541845 in _cairo_surface_paint (clip=0x7ffffffee1f8, 
    source=0x7ffffffee228, op=CAIRO_OPERATOR_OVER, surface=0x7fffd5f7b800)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-surface.c:2114
#17 _cairo_surface_paint (surface=0x7fffd5f7b800, op=CAIRO_OPERATOR_OVER, 
    source=0x7ffffffee228, clip=0x7ffffffee1f8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-surface.c:2080
---Type <return> to continue, or q <return> to quit---
#18 0x00007ffff6527d75 in _cairo_gstate_fill (gstate=0x7fffcd241900, 
    path=0x7ffff72ce7e8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo-gstate.c:1285
#19 0x00007ffff651de91 in INT__moz_cairo_fill_preserve (cr=0x7ffff72ce480)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/cairo/cairo/src/cairo.c:2459
#20 0x00007ffff64a8afd in gfxContext::Fill (this=0x7fffd769f1f0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/thebes/gfxContext.cpp:310
#21 0x00007ffff64d3d9e in mozilla::layers::FillWithMask (
    aContext=0x7fffd769f1f0, aOpacity=<optimized out>, aMaskLayer=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayersImpl.cpp:122
#22 0x00007ffff64d2e1f in mozilla::layers::BasicImageLayer::PaintContext (
    aPattern=0x7fffd76f2160, aVisible=..., aOpacity=aOpacity@entry=1, 
    aContext=aContext@entry=0x7fffd769f1f0, aMaskLayer=aMaskLayer@entry=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicImageLayer.cpp:151
#23 0x00007ffff64d3199 in mozilla::layers::BasicImageLayer::GetAndPaintCurrentImage (this=this@entry=0x7fffcd234800, aContext=0x7fffd769f1f0, aOpacity=1, 
    aMaskLayer=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicImageLayer.cpp:114
#24 0x00007ffff64d32bd in mozilla::layers::BasicImageLayer::Paint (
    this=this@entry=0x7fffcd234800, aContext=aContext@entry=0x7fffd769f1f0, 
    aMaskLayer=aMaskLayer@entry=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicImageLayer.cpp:70
#25 0x00007ffff64d3318 in mozilla::layers::BasicShadowableImageLayer::Paint (
    this=0x7fffcd234800, aContext=0x7fffd769f1f0, aMaskLayer=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicImageLayer.cpp:252
#26 0x00007ffff64ce227 in mozilla::layers::BasicLayerManager::PaintLayer (
    this=this@entry=0x7fffd381d200, aTarget=0x7fffd769f1f0, 
    aLayer=0x7fffcd234800, aCallback=aCallback@entry=0, 
    aCallbackData=aCallbackData@entry=0x0, 
    aReadback=aReadback@entry=0x7ffffffeee20)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:774
#27 0x00007ffff64ce2e2 in mozilla::layers::BasicLayerManager::PaintLayer (
    this=this@entry=0x7fffd381d200, aTarget=0x7fffd769f1f0, 
    aLayer=0x7fffd5a8e090, aCallback=aCallback@entry=0, 
    aCallbackData=aCallbackData@entry=0x0, 
    aReadback=aReadback@entry=0x7ffffffef1d0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:787
#28 0x00007ffff64ce2e2 in mozilla::layers::BasicLayerManager::PaintLayer (
    this=this@entry=0x7fffd381d200, aTarget=0x7fffd769f1f0, 
    aLayer=0x7fffdee316d0, aCallback=aCallback@entry=0, 
    aCallbackData=aCallbackData@entry=0x0, aReadback=aReadback@entry=0x0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:787
#29 0x00007ffff64cefbf in mozilla::layers::BasicLayerManager::EndTransactionInternal (this=this@entry=0x7fffd381d200, aCallback=aCallback@entry=0, 
    aCallbackData=aCallbackData@entry=0x0, 
    aFlags=aFlags@entry=mozilla::layers::LayerManager::END_DEFAULT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:436
#30 0x00007ffff64cf058 in mozilla::layers::BasicLayerManager::EndEmptyTransaction (this=this@entry=0x7fffd381d200)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:476
#31 0x00007ffff64cf55b in mozilla::layers::BasicShadowLayerManager::EndEmptyTransaction (this=0x7fffd381d200)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/gfx/layers/basic/BasicLayerManager.cpp:991
#32 0x00007ffff5bcb290 in PresShell::Paint (this=0x7fffe16e5500, aViewToPaint=
    0x7fffe08ebd80, aWidgetToPaint=<optimized out>, aDirtyRegion=..., 
    aIntDirtyRegion=..., aWillSendDidPaint=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/layout/base/nsPresShell.cpp:5260
#33 0x00007ffff5ea2150 in nsViewManager::Refresh (
---Type <return> to continue, or q <return> to quit---
    this=this@entry=0x7fffe08efe20, aView=aView@entry=0x7fffe08ebd80, 
    aWidget=0x7fffe16dddb0, aRegion=..., aWillSendDidPaint=true)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/view/src/nsViewManager.cpp:339
#34 0x00007ffff5ea3496 in nsViewManager::DispatchEvent (this=0x7fffe08efe20, 
    aEvent=0x7ffffffef688, aView=0x7fffe08ebd80, aStatus=0x7ffffffef5e4)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/view/src/nsViewManager.cpp:768
#35 0x00007ffff5ea0a33 in HandleEvent (aEvent=0x7ffffffef688)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/view/src/nsView.cpp:127
#36 0x00007ffff63118be in nsWindow::DispatchEvent (this=<optimized out>, 
    aEvent=<optimized out>, aStatus=@0x7ffffffef644: nsEventStatus_eIgnore)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/gtk2/nsWindow.cpp:474
#37 0x00007ffff6319263 in nsWindow::OnExposeEvent (this=0x7fffe16dddb0, 
    aEvent=aEvent@entry=0x7ffffffefdb0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/gtk2/nsWindow.cpp:2213
#38 0x00007ffff63195dd in expose_event_cb (widget=<optimized out>, 
    event=0x7ffffffefdb0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/gtk2/nsWindow.cpp:5091
#39 0x00000035d7f4db4c in ?? () from /lib64/libgtk-x11-2.0.so.0
#40 0x00000035cfe0f664 in g_closure_invoke (closure=0x7fffe13839e0, 
    return_value=return_value@entry=0x7ffffffef910, n_param_values=2, 
    param_values=param_values@entry=0x7ffffffef9c0, 
    invocation_hint=invocation_hint@entry=0x7ffffffef960) at gclosure.c:777
#41 0x00000035cfe206d8 in signal_emit_unlocked_R (
    node=node@entry=0x7fffede6d980, detail=detail@entry=0, 
    instance=instance@entry=0x7fffe135a700, 
    emission_return=emission_return@entry=0x7ffffffefa90, 
    instance_and_params=instance_and_params@entry=0x7ffffffef9c0)
    at gsignal.c:3551
#42 0x00000035cfe282a7 in g_signal_emit_valist (instance=0x7fffe135a700, 
    signal_id=<optimized out>, detail=0, 
    var_args=var_args@entry=0x7ffffffefc18) at gsignal.c:3310
#43 0x00000035cfe287c2 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
#44 0x00000035d80815ae in ?? () from /lib64/libgtk-x11-2.0.so.0
#45 0x00000035d7f4bf57 in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
#46 0x00000035d864555c in ?? () from /lib64/libgdk-x11-2.0.so.0
#47 0x00000035d86400d7 in ?? () from /lib64/libgdk-x11-2.0.so.0
#48 0x00000035d8642458 in gdk_window_process_all_updates ()
   from /lib64/libgdk-x11-2.0.so.0
#49 0x00000035d86424b9 in ?? () from /lib64/libgdk-x11-2.0.so.0
#50 0x00000035d861eb97 in ?? () from /lib64/libgdk-x11-2.0.so.0
#51 0x00000035ce647825 in g_main_dispatch (context=0x7ffff7d31b30)
    at gmain.c:2539
#52 g_main_context_dispatch (context=context@entry=0x7ffff7d31b30)
    at gmain.c:3075
#53 0x00000035ce647b58 in g_main_context_iterate (
    context=context@entry=0x7ffff7d31b30, block=block@entry=0, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#54 0x00000035ce647c14 in g_main_context_iteration (context=0x7ffff7d31b30, 
    may_block=0) at gmain.c:3207
#55 0x00007ffff6319aca in nsAppShell::ProcessNextNativeEvent (
    this=<optimized out>, mayWait=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/gtk2/nsAppShell.cpp:131
#56 0x00007ffff632f889 in nsBaseAppShell::DoProcessNextNativeEvent (
    this=this@entry=0x7fffecb82400, mayWait=mayWait@entry=false, 
    recursionDepth=recursionDepth@entry=1)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/xpwidgets/nsBaseAppShell.cpp:139
#57 0x00007ffff632f950 in nsBaseAppShell::OnProcessNextEvent (
    this=0x7fffecb82400, thr=0x7ffff7d428e0, mayWait=true, recursionDepth=1)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/xpwidgets/nsBaseAppShell.cpp:280
#58 0x00007ffff6474cb3 in nsThread::ProcessNextEvent (this=0x7ffff7d428e0, 
    mayWait=true, result=0x7fffffff0358)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xpcom/threads/nsThread.cpp:586
#59 0x00007ffff6482acc in NS_InvokeByIndex_P (that=<optimized out>, 
---Type <return> to continue, or q <return> to quit---
    methodIndex=8, paramCount=<optimized out>, params=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_x86_64_unix.cpp:163
#60 0x00007ffff611b133 in Invoke (this=0x7fffffff0300)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:3118
#61 Call (this=0x7fffffff0300)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:2452
#62 XPCWrappedNative::CallMethod (ccx=..., mode=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/xpconnect/src/XPCWrappedNative.cpp:2418
#63 0x00007ffff611e5d6 in XPC_WN_CallMethod (cx=0x7ffff7d25de0, argc=1, 
    vp=0x7fffea5eaf08)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:1474
#64 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#65 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
#66 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5eae88, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#67 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5eae88)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#68 0x00007ffff78208cd in js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, 
    args=..., construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#69 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#70 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=1, 
    argv=<optimized out>, rval=0x7fffffff1168)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#71 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffd6037760, argc=1, 
    vp=0x7fffea5eade8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#72 0x00007ffff78cab75 in call (vp=0x7fffea5eade8, argc=1, 
    wrapper=0x7fffd6037760, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#73 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffd6037760, argc=1, vp=0x7fffea5eade8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#74 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffd6037760, argc=1, 
    vp=0x7fffea5eade8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#75 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#76 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#77 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#78 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#79 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5eacd8, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#80 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5eacd8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#81 0x00007ffff78208cd in js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, 
---Type <return> to continue, or q <return> to quit---
    args=..., construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#82 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#83 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=0, 
    argv=<optimized out>, rval=0x7fffffff1d78)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#84 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffd62b92e0, argc=0, 
    vp=0x7fffea5eac48)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#85 0x00007ffff78cab75 in call (vp=0x7fffea5eac48, argc=0, 
    wrapper=0x7fffd62b92e0, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#86 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffd62b92e0, argc=0, vp=0x7fffea5eac48)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#87 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffd62b92e0, argc=0, 
    vp=0x7fffea5eac48)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#88 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#89 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#90 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#91 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#92 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5eaa00, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#93 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5eaa00)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#94 0x00007ffff78208cd in js::InvokeKernel (cx=0x7ffff7d25de0, args=..., 
    construct=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#95 0x00007ffff77e8cd4 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#96 js_fun_call (cx=0x7ffff7d25de0, argc=0, vp=0x7fffea5ea9d8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsfun.cpp:658
#97 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#98 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
#99 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#100 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=1, 
    argv=<optimized out>, rval=0x7fffffff2b08)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#101 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffe8919040, argc=1, 
    vp=0x7fffea5ea950)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#102 0x00007ffff78cab75 in call (vp=0x7fffea5ea950, argc=1, 
    wrapper=0x7fffe8919040, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#103 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffe8919040, argc=1, vp=0x7fffea5ea950)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#104 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
---Type <return> to continue, or q <return> to quit---
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffe8919040, argc=1, 
    vp=0x7fffea5ea950)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#105 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#106 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#107 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#108 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#109 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea8d8, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#110 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea8d8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#111 0x00007ffff78208cd in js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, 
    args=..., construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#112 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#113 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=0, 
    argv=<optimized out>, rval=0x7fffffff3718)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#114 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffd62b9a00, argc=0, 
    vp=0x7fffea5ea848)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#115 0x00007ffff78cab75 in call (vp=0x7fffea5ea848, argc=0, 
    wrapper=0x7fffd62b9a00, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#116 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffd62b9a00, argc=0, vp=0x7fffea5ea848)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#117 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffd62b9a00, argc=0, 
    vp=0x7fffea5ea848)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#118 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#119 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#120 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#121 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#122 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea750, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#123 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea750)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#124 0x00007ffff78208cd in js::InvokeKernel (cx=0x7ffff7d25de0, args=..., 
    construct=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#125 0x00007ffff77e8cd4 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#126 js_fun_call (cx=0x7ffff7d25de0, argc=0, vp=0x7fffea5ea728)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsfun.cpp:658
#127 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
---Type <return> to continue, or q <return> to quit---
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#128 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
#129 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#130 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=1, 
    argv=<optimized out>, rval=0x7fffffff44a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#131 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffe8919040, argc=1, 
    vp=0x7fffea5ea6a0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#132 0x00007ffff78cab75 in call (vp=0x7fffea5ea6a0, argc=1, 
    wrapper=0x7fffe8919040, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#133 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffe8919040, argc=1, vp=0x7fffea5ea6a0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#134 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffe8919040, argc=1, 
    vp=0x7fffea5ea6a0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#135 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#136 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#137 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#138 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#139 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea628, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#140 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea628)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#141 0x00007ffff78208cd in js::InvokeKernel (cx=0x7ffff7d25de0, args=..., 
    construct=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#142 0x00007ffff77e8cd4 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#143 js_fun_call (cx=0x7ffff7d25de0, argc=0, vp=0x7fffea5ea600)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsfun.cpp:658
#144 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#145 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
#146 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea590, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#147 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea590)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#148 0x00007ffff78208cd in js::InvokeKernel (cx=0x7ffff7d25de0, args=..., 
    construct=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#149 0x00007ffff77e8cd4 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
---Type <return> to continue, or q <return> to quit---
#150 js_fun_call (cx=0x7ffff7d25de0, argc=0, vp=0x7fffea5ea568)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsfun.cpp:658
#151 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#152 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
#153 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea4f8, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#154 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea4f8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#155 0x00007ffff78208cd in js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, 
    args=..., construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#156 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#157 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=0, 
    argv=<optimized out>, rval=0x7fffffff65b8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#158 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffd62b99a0, argc=0, 
    vp=0x7fffea5ea468)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#159 0x00007ffff78cab75 in call (vp=0x7fffea5ea468, argc=0, 
    wrapper=0x7fffd62b99a0, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#160 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffd62b99a0, argc=0, vp=0x7fffea5ea468)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#161 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffd62b99a0, argc=0, 
    vp=0x7fffea5ea468)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#162 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#163 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#164 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#165 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#166 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea358, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#167 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea358)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#168 0x00007ffff78208cd in js::InvokeKernel (cx=0x7ffff7d25de0, args=..., 
    construct=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#169 0x00007ffff77e8cd4 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#170 js_fun_call (cx=0x7ffff7d25de0, argc=0, vp=0x7fffea5ea330)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsfun.cpp:658
#171 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#172 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
---Type <return> to continue, or q <return> to quit---
#173 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#174 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=1, 
    argv=<optimized out>, rval=0x7fffffff7348)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#175 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffe8919040, argc=1, 
    vp=0x7fffea5ea2a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#176 0x00007ffff78cab75 in call (vp=0x7fffea5ea2a8, argc=1, 
    wrapper=0x7fffe8919040, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#177 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffe8919040, argc=1, vp=0x7fffea5ea2a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#178 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffe8919040, argc=1, 
    vp=0x7fffea5ea2a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#179 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#180 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#181 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#182 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#183 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea238, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#184 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea238)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#185 0x00007ffff78208cd in js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, 
    args=..., construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#186 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#187 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=0, 
    argv=<optimized out>, rval=0x7fffffff7f58)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#188 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffd62b9880, argc=0, 
    vp=0x7fffea5ea1a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#189 0x00007ffff78cab75 in call (vp=0x7fffea5ea1a8, argc=0, 
    wrapper=0x7fffd62b9880, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#190 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffd62b9880, argc=0, vp=0x7fffea5ea1a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#191 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffd62b9880, argc=0, 
    vp=0x7fffea5ea1a8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#192 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#193 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#194 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#195 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#196 0x00007ffff7811e6d in js::Interpret (cx=cx@entry=0x7ffff7d25de0, 
    entryFrame=entryFrame@entry=0x7fffea5ea130, 
    interpMode=interpMode@entry=js::JSINTERP_NORMAL)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:2442
#197 0x00007ffff781ffcd in js::RunScript (cx=cx@entry=0x7ffff7d25de0, 
    script=<optimized out>, fp=0x7fffea5ea130)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:301
#198 0x00007ffff78208cd in js::InvokeKernel (cx=0x7ffff7d25de0, args=..., 
    construct=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:355
#199 0x00007ffff77e8fa5 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#200 js::CallOrConstructBoundFunction (cx=0x7ffff7d25de0, 
    argc=<optimized out>, vp=0x7fffea5ea110)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsfun.cpp:867
#201 0x00007ffff782080c in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#202 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:344
#203 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#204 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=0, 
    argv=<optimized out>, rval=0x7fffffff8cf8)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#205 0x00007ffff78600be in js::IndirectProxyHandler::call (
    this=<optimized out>, cx=0x7ffff7d25de0, proxy=0x7fffe9ca9fa0, argc=0, 
    vp=0x7fffea5ea090)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:442
#206 0x00007ffff78cab75 in call (vp=0x7fffea5ea090, argc=0, 
    wrapper=0x7fffe9ca9fa0, cx=0x7ffff7d25de0, this=0x7ffff7cff760)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:383
#207 js::DirectWrapper::call (this=0x7ffff7cff760, cx=0x7ffff7d25de0, 
    wrapper=0x7fffe9ca9fa0, argc=0, vp=0x7fffea5ea090)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:379
#208 0x00007ffff78cc597 in js::CrossCompartmentWrapper::call (
    this=0x7ffff7cff760, cx=0x7ffff7d25de0, wrapper_=0x7fffe9ca9fa0, argc=0, 
    vp=0x7fffea5ea090)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jswrapper.cpp:777
#209 0x00007ffff7861fbe in call (vp=<optimized out>, argc=<optimized out>, 
    proxy=<optimized out>, cx=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1143
#210 proxy_Call (cx=<optimized out>, argc=<optimized out>, vp=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsproxy.cpp:1666
#211 0x00007ffff7820937 in CallJSNative (args=..., native=<optimized out>, 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jscntxtinlines.h:382
#212 js::InvokeKernel (cx=cx@entry=0x7ffff7d25de0, args=..., 
    construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:337
#213 0x00007ffff7820e27 in Invoke (construct=js::NO_CONSTRUCT, args=..., 
    cx=0x7ffff7d25de0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.h:119
#214 js::Invoke (cx=0x7ffff7d25de0, thisv=..., fval=..., argc=0, 
    argv=<optimized out>, rval=0x7fffffff90f0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsinterp.cpp:387
#215 0x00007ffff77a0a94 in JS_CallFunctionValue (cx=0x7ffff7d25de0, 
    obj=<optimized out>, fval=..., argc=<optimized out>, argv=<optimized out>, 
    rval=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/src/jsapi.cpp:5604
#216 0x00007ffff6115786 in nsXPCWrappedJSClass::CallMethod (
    this=0x7fffe85dd300, wrapper=<optimized out>, methodIndex=3, 
    info=0x7fffecd3a7d8, nativeParams=0x7fffffff95b0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/xpconnect/src/XPCWrappedJSClass.cpp:1436
#217 0x00007ffff6110ff5 in nsXPCWrappedJS::CallMethod (this=0x7fffdd9e1e80, 
    methodIndex=3, info=0x7fffecd3a7d8, params=<optimized out>)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/js/xpconnect/src/XPCWrappedJS.cpp:580
#218 0x00007ffff64836ab in PrepareAndDispatch (self=0x7fffd3ac88e0, 
    methodIndex=<optimized out>, args=<optimized out>, gpregs=0x7fffffff9670, 
    fpregs=0x7fffffff96a0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xpcom/reflect/xptcall/src/md/unix/xptcstubs_x86_64_linux.cpp:121
#219 0x00007ffff6482ba7 in SharedStub () from /usr/lib64/xulrunner/libxul.so
#220 0x00007ffff6474dcf in nsThread::ProcessNextEvent (this=0x7ffff7d428e0, 
    mayWait=<optimized out>, result=0x7fffffff974f)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xpcom/threads/nsThread.cpp:624
#221 0x00007ffff644aca1 in NS_ProcessNextEvent_P (thread=<optimized out>, 
    mayWait=false)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/objdir/xpcom/build/nsThreadUtils.cpp:217
#222 0x00007ffff63b4470 in mozilla::ipc::MessagePump::Run (
    this=0x7ffff7da6e40, aDelegate=0x7ffff7ddd0b0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/ipc/glue/MessagePump.cpp:82
#223 0x00007ffff6493605 in RunHandler (this=0x7ffff7ddd0b0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/ipc/chromium/src/base/message_loop.cc:201
#224 MessageLoop::Run (this=0x7ffff7ddd0b0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/ipc/chromium/src/base/message_loop.cc:175
#225 0x00007ffff632f273 in nsBaseAppShell::Run (this=0x7fffecb82400)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/widget/xpwidgets/nsBaseAppShell.cpp:163
#226 0x00007ffff621086d in nsAppStartup::Run (this=0x7fffecb872e0)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/toolkit/components/startup/nsAppStartup.cpp:257
#227 0x00007ffff5a5bba9 in XREMain::XRE_mainRun (
    this=this@entry=0x7fffffff9980)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsAppRunner.cpp:3794
#228 0x00007ffff5a5bda0 in XREMain::XRE_main (this=this@entry=0x7fffffff9980, 
    argc=argc@entry=2, argv=argv@entry=0x7fffffffdd68, 
    aAppData=aAppData@entry=0x7ffff7d44480)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsAppRunner.cpp:3871
#229 0x00007ffff5a5bfe3 in XRE_main (argc=2, argv=0x7fffffffdd68, 
    aAppData=0x7ffff7d44480, aFlags=<optimized out>)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/toolkit/xre/nsAppRunner.cpp:3947
#230 0x00000000004028c0 in main (argc=2, argv=0x7fffffffdd68)
    at /usr/src/debug/xulrunner-16.0.1/mozilla-release/xulrunner/stub/nsXULStub.cpp:483
Comment 6 Martin Stransky 2012-11-16 10:40:09 EST
Looks like X issue. "OpenGL: VMware, Inc. -- Gallium 0.4 on llvmpipe (LLVM 0x300) -- 2.1 Mesa 8.0.3 --" - do you run it in a virtual machine?
Comment 7 Jan Pazdziora 2012-11-16 10:56:24 EST
(In reply to comment #6)
> Looks like X issue. "OpenGL: VMware, Inc. -- Gallium 0.4 on llvmpipe (LLVM
> 0x300) -- 2.1 Mesa 8.0.3 --" - do you run it in a virtual machine?

No, I don't. But I have VMWare Server Console running on the same workstation.
Comment 8 Martin Stransky 2012-11-16 10:57:59 EST
I see. So what X driver do you run?
Comment 9 Jan Pazdziora 2012-11-16 11:06:13 EST
Created attachment 646435 [details]
My /var/log/Xorg.0.log
Comment 10 Martin Stransky 2012-11-16 11:15:52 EST
Okay, movig to Xorg, I hope nv is the right driver here.
Comment 11 Matěj Cepl 2012-11-18 14:33:00 EST
(In reply to comment #9)
> Created attachment 646435 [details]
> My /var/log/Xorg.0.log

[    24.642] (II) LoadModule: "nouveau"
[    24.642] (WW) Warning, couldn't open module nouveau
[    24.642] (II) UnloadModule: "nouveau"
[    24.642] (II) Unloading nouveau
[    24.642] (EE) Failed to load module "nouveau" (module does not exist, 0)

This is weird. 'nv' module shouldn't be used these days. Do you have installed xorg-x11-drv-nouveau package at all? What version?

Could I get also output of dmesg, please?
Comment 12 Jan Pazdziora 2012-11-19 03:10:24 EST
(In reply to comment #11)
> (In reply to comment #9)
> > Created attachment 646435 [details]
> > My /var/log/Xorg.0.log
> 
> [    24.642] (II) LoadModule: "nouveau"
> [    24.642] (WW) Warning, couldn't open module nouveau
> [    24.642] (II) UnloadModule: "nouveau"
> [    24.642] (II) Unloading nouveau
> [    24.642] (EE) Failed to load module "nouveau" (module does not exist, 0)
> 
> This is weird. 'nv' module shouldn't be used these days. Do you have
> installed xorg-x11-drv-nouveau package at all? What version?

I did not have. Now I have xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64:

[3621787.911] (II) LoadModule: "nouveau"
[3621787.911] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[3621787.921] (II) Module nouveau: vendor="X.Org Foundation"
[3621787.921]   compiled for 1.12.2, module version = 0.0.16
[3621787.921]   Module class: X.Org Video Driver
[3621787.921]   ABI class: X.Org Video Driver, version 12.0
[3621787.921] (II) LoadModule: "nv"
[3621787.921] (WW) Warning, couldn't open module nv
[3621787.921] (II) UnloadModule: "nv"
[3621787.921] (II) Unloading nv

Even with nouveau used by X, Firefox crashes in the same manner.

> Could I get also output of dmesg, please?

The part around drm and loading the nouveau driver?
Comment 13 Matěj Cepl 2012-11-19 07:03:16 EST
(In reply to comment #12)
> The part around drm and loading the nouveau driver?

Could I get a whole thing after reproducing the issue, please?
Comment 14 Jan Pazdziora 2012-11-20 03:43:25 EST
Created attachment 648344 [details]
The dmesg output.
Comment 16 Fedora End Of Life 2013-07-04 02:37:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Jan Pazdziora 2013-07-04 03:56:36 EDT
Things have been stable for months on Fedora 18.
Comment 18 Fedora End Of Life 2013-08-01 14:13:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.